require( "scripts/style.lua" );


TextStyle=
{
	parent=DialogBodyText,
	x=0,y=46,w=kMax,h=kMax-80
};

MakeDialog
{
	-- Name the modal dialog
	name="objectiveModal",
	Bitmap
	{
		image="backgrounds/largedialog",
		x=kCenter,
		y=kCenter,

		Window
		{
			name="helptext1",
			x = 30,
			w=kMax-40,h=kMax,

			SetStyle(TextStyle),
			Text
			{
				label="proto_instruction",
			},

			SetStyle(ButtonStyle),
			Button
			{
				label="ok",
				name="ok",
				cancel=true,
				close=true,
				default=true,
				align=kHAlignLeft+kVAlignBottom,
				x=kMax/2,y=kMax-20,				
				type = kPush,
				command=
					function()						
						PopModal("objectiveModal");
						---SwapToModal("scripts/ingameUI.lua");
					end
			},
		},

	}
}
